com.genesyslab.wfm8.API.service.config851

## Class CfgActivitySetDetails

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgActivitySetDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivitySetDetails
      extends java.lang.Object
      implements java.io.Serializable

  Specifies Activity Set request details
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `infoType` Request details level (`ECfgInfoType`)
    `protected boolean` | `provideActivityInfo` Specifies whether to provide associated Activity information or not
    `protected boolean` | `provideBUInfo` Specifies whether to provide associated BU information or not
    `protected boolean` | `provideSiteInfo` Specifies whether to provide associated Site information or not
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivitySetDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getInfoType()` Gets the value of the infoType property.
    `int` | `hashCode()`
    `boolean` | `isProvideActivityInfo()` Gets the value of the provideActivityInfo property.
    `boolean` | `isProvideBUInfo()` Gets the value of the provideBUInfo property.
    `boolean` | `isProvideSiteInfo()` Gets the value of the provideSiteInfo property.
    `void` | `setInfoType(int value)` Sets the value of the infoType property.
    `void` | `setProvideActivityInfo(boolean value)` Sets the value of the provideActivityInfo property.
    `void` | `setProvideBUInfo(boolean value)` Sets the value of the provideBUInfo property.
    `void` | `setProvideSiteInfo(boolean value)` Sets the value of the provideSiteInfo property.
    `java.lang.String` | `toString()`
    `CfgActivitySetDetails` | `withInfoType(int value)`
    `CfgActivitySetDetails` | `withProvideActivityInfo(boolean value)`
    `CfgActivitySetDetails` | `withProvideBUInfo(boolean value)`
    `CfgActivitySetDetails` | `withProvideSiteInfo(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### infoType

          protected int infoType

      Request details level (`ECfgInfoType`)

    - #### provideSiteInfo

          protected boolean provideSiteInfo

      Specifies whether to provide associated Site information or not

    - #### provideBUInfo

          protected boolean provideBUInfo

      Specifies whether to provide associated BU information or not

    - #### provideActivityInfo

          protected boolean provideActivityInfo

      Specifies whether to provide associated Activity information or not

  - ### Constructor Detail

    - #### CfgActivitySetDetails

          public CfgActivitySetDetails()

  - ### Method Detail

    - #### getInfoType

          public int getInfoType()

      Gets the value of the infoType property.

    - #### setInfoType

          public void setInfoType(int value)

      Sets the value of the infoType property.

    - #### isProvideSiteInfo

          public boolean isProvideSiteInfo()

      Gets the value of the provideSiteInfo property.

    - #### setProvideSiteInfo

          public void setProvideSiteInfo(boolean value)

      Sets the value of the provideSiteInfo property.

    - #### isProvideBUInfo

          public boolean isProvideBUInfo()

      Gets the value of the provideBUInfo property.

    - #### setProvideBUInfo

          public void setProvideBUInfo(boolean value)

      Sets the value of the provideBUInfo property.

    - #### isProvideActivityInfo

          public boolean isProvideActivityInfo()

      Gets the value of the provideActivityInfo property.

    - #### setProvideActivityInfo

          public void setProvideActivityInfo(boolean value)

      Sets the value of the provideActivityInfo property.

    - #### withInfoType

          public CfgActivitySetDetails withInfoType(int value)

    - #### withProvideSiteInfo

          public CfgActivitySetDetails withProvideSiteInfo(boolean value)

    - #### withProvideBUInfo

          public CfgActivitySetDetails withProvideBUInfo(boolean value)

    - #### withProvideActivityInfo

          public CfgActivitySetDetails withProvideActivityInfo(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.